### Constructor

# Gdk.GLTexture.new

#### Declaration [src]

    GdkTexture*
    gdk_gl_texture_new (
      GdkGLContext* context,
      guint id,
      int width,
      int height,
      GDestroyNotify destroy,
      gpointer data
    )

#### Description [src]

Creates a new texture for an existing GL texture.

Note that the GL texture must not be modified until `destroy` is called, which will happen when the GdkTexture object is finalized, or due to an explicit call of `gdk_gl_texture_release()`.

#### Parameters

`context` | `GdkGLContext`
| a `GdkGLContext`
| Ownership is not transferred to the callee
`id` | `guint`
| the ID of a texture that was created with `context`
`width` | `int`
| the nominal width of the texture
`height` | `int`
| the nominal height of the texture
`destroy` | `GDestroyNotify`
| a destroy notify that will be called when the GL resources are released
`data` | `gpointer`
| data that gets passed to `destroy`

#### Return value

Returns: `GdkTexture`
A newly-created `GdkTexture`
Ownership of the data is transferred to the caller